Phone Number Basic
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"phone_number": "08012345678"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/"
payload = { "phone_number": "08012345678" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '08012345678'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Nigeria
Numéro de téléphone basique
Récupérez les données d’identité de base pour le numéro de téléphone principal enregistré au NIN d’un client.
POST
/
api
/
onboarding
/
nigeria_kyc
/
phone_no_basic
/
Phone Number Basic
L’endpoint Numéro de téléphone basique renvoie le nom et la date de naissance associés au numéro de téléphone principal enregistré contre le NIN d’un client. Pour les autres numéros liés au même NIN, utilisez Numéro de téléphone avancé.
Endpoint
POST /api/onboarding/nigeria_kyc/phone_no_basic/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
phone_number | string | Oui | Le numéro de téléphone du client (format nigérian, par ex. 09011001100) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"phone_number": "09011001100"}'
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/",
headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
json={"phone_number": "09011001100"},
)
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.surname | string | Nom de famille |
data.firstName | string | Prénom |
data.middleName | string | Deuxième prénom |
data.dateOfBirth | string | Date de naissance au format YYYY-MM-DD |
data.phoneNumber | string | Numéro de téléphone interrogé |
{
"status": "success",
"data": {
"surname": "AKINSANYA",
"firstName": "TISEOLUWA",
"middleName": "JOHN",
"dateOfBirth": "1909-09-19",
"phoneNumber": "09011001100"
},
"message": "Phone Number details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

